본문 바로가기
IT_Developers/Javascript

JavaScript - let 은 IE11 버전부터 제공합니다.

by 고코더 2021. 1. 18.

let는 ie10에서 사용이 불가


 

안녕하세요.

고코더 입니다.

 

 

 1. 프런트엔드를 개발하다 보면 항상 익스플로러가 문제입니다. 유난히 혼자 튀는 거 같습니다. IE11 이 es6을 지원한다고 하지만 다른 브라우저들 모두가 사용하는 기능을 혼자 사용하지 않는 경우가 있습니다. 

//let
let letGoCoder= 123;

 

 2 대표적인 게 아마 이것이 아닌가 싶습니다. 바로 let입니다. 물론 ie11부터는 정확히 말하며 부분 지원입니다. 오류가 있기 때문입니다. for문에서 개별적으로 바인딩되지 않는 문제입니다.

 

 3. 뭐 그렇다면 방법 없죠. var를 사용하시면 됩니다.

// var
var varGoCoder= 123;

 

 


마무리


 

익스 그만 운영해도 좋을 거 같은

 

 

댓글0